doctype xml
rss( version="2.0", xmlns:content="http://purl.org/rss/1.0/modules/content/", xmlns:atom='http://www.w3.org/2005/Atom' )
    channel
        title= blog.title
        if blog.slogan
            description= blog.slogan
        link= blog.custom_domain ? blog.custom_domain : blog.domain
        generator Engrave blogging platform
        docs https://validator.w3.org/feed/docs/rss2.html
        lastBuildDate= new Date().toUTCString()

        each article  in articles
            item
                if article.featured_image || article.thumbnail_image
                    image= article.featured_image ? article.featured_image : article.thumbnail_image
                link= `https://${blog.custom_domain ? blog.custom_domain : blog.domain}/${article.permlink}`
                title= article.title
                guid( isPermaLink="true" )= article.permlink
                pubDate= new Date(article.created).toUTCString()
                description= article.abstract + '...'

                updated= new Date(article.created).toUTCString()
